Package org.springframework.core

# Interface OrderComparator.OrderSourceProvider

Enclosing class:
  OrderComparator

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface OrderComparator.OrderSourceProvider
Strategy interface to provide an order source for a given object.

Since:
  4.1

## Method Summary

Modifier and Type
Method
Description
`Object`
`getOrderSource(Object obj)`
Return an order source for the specified object, i.e.

## Method Details

### getOrderSource

@Nullable Object getOrderSource(Object obj)
Return an order source for the specified object, i.e. an object that should be checked for an order value as a replacement to the given object.

Can also be an array of order source objects.

If the returned object does not indicate any order, the comparator will fall back to checking the original object.

Parameters:
  `obj` - the object to find an order source for
Returns:
  the order source for that object, or `null` if none found